Create a work item comment
curl --request POST \
--url https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-items/{work_item_id}/comments/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"comment_html": "<string>",
"comment_json": {},
"access": "<string>",
"external_source": "<string>",
"external_id": "<string>"
}
'import requests
url = "https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-items/{work_item_id}/comments/"
payload = {
"comment_html": "<string>",
"comment_json": {},
"access": "<string>",
"external_source": "<string>",
"external_id": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
comment_html: '<string>',
comment_json: {},
access: '<string>',
external_source: '<string>',
external_id: '<string>'
})
};
fetch('https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-items/{work_item_id}/comments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Work Item Comments
Create a work item comment
Creates a new comment on a work item.
POST
/
api
/
v1
/
workspaces
/
{workspace_slug}
/
projects
/
{project_id}
/
work-items
/
{work_item_id}
/
comments
/
Create a work item comment
Path parameters
string
required
The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL
https://app.plane.so/my-team/projects/, the workspace slug is my-team.string
required
The unique identifier of the project.
string
required
The unique identifier for the work item.
Body parameters
string
HTML-formatted version of the comment.
object
JSON representation of the comment structure.
string
Visibility level of the comment. Possible values:
INTERNAL, EXTERNAL.string
Identifier for the external source.
string
ID from the external source.
⌘I

